require 'sketchup.rb'
def hideonotherpages
	model = Sketchup.active_model
	ss = model.selection
	if ss.empty?
		UI.messagebox("Aucune selection.")
		return nil
	else
		if scene = model.pages.selected_page
			showtransitions = model.options["PageOptions"]["ShowTransition"]
			model.options["PageOptions"]["ShowTransition"]=false
			model.pages.each {|page|
				if page.name != scene.name
					model.pages.selected_page = page
					ss.each do |ent|
						ent.hidden=true
					end
					puts "\n" + page.name + " different de " + scene.name
					page.update
				end
			}
			puts "\nSlection cache dans les autres scnes."
			model.pages.selected_page = scene
			model.options["PageOptions"]["ShowTransition"] = showtransitions
			model.commit_operation
		else
			UI.messagebox("Pas de scene dans ce dessin.")
			return nil
		end
	end
end

if !file_loaded?("HideOnOtherPages.rb")
	plugins_menu = UI.menu("Plugins")
	UI.menu("Plugins").add_item("Cacher dans les autres scenes") {hideonotherpages}
	file_loaded("HideOnOtherPages.rb")
end

